GitHub-Verbindung nicht gefunden

Moses SkodaEntwickler1 Min. Lesezeit

Bei diesem Problem antwortet die API mit 404 Not Found. Der Wert für type ist https://lingo.dev/docs/api/errors/github-connection-not-found. Unter Fehler und Statuscodes findest du die gemeinsame Struktur aller Fehler.

Die GitHub-Verbindung <id> wurde in dieser Organisation nicht gefunden. Sie existiert nicht, gehört zu einer anderen Organisation oder ist keine Verbindung über die GitHub App. Gleiche die ID mit den Integrationen dieser Organisation ab.

Felder#

Neben den Standardfeldern type, status, title und detail enthält der Antwortkörper die folgenden Felder. Aus ihnen wird der Text für detail gebildet, sodass ein Client stattdessen einen eigenen Text anzeigen kann.

FeldTyp
idstring

Beispiel#

json
{
  "detail": "Cannot find GitHub connection <id> in this organization. It does not exist, belongs to another organization, or is not a GitHub App connection. Check the id against this organization's integrations.",
  "id": "<id>",
  "type": "https://lingo.dev/docs/api/errors/github-connection-not-found",
  "status": 404,
  "title": "GitHub connection not found"
}

Zurückgegeben von#

  • POST /v2/organizations/{orgId}/github/connections/{connectionId}/import-history